import { API_ENDPOINT } from "@/consts";
import axios from "axios";

export default class WebRequest {
  private API_ENDPOINT: string = API_ENDPOINT;

  /**
   * Gets a response from the server
   *
   * @param endpoint the endpoint to send the request to
   * @returns the response from the server
   */
  public static get(endpoint: string) {
    return axios.get(API_ENDPOINT + endpoint, {
      validateStatus: () => true, // Do not throw an error on non-200 status codes
    });
  }
}
